Package org.apache.tools.ant.util

# Class XMLFragment.Child

java.lang.Object
org.apache.tools.ant.util.XMLFragment.Child

All Implemented Interfaces:
  `DynamicAttributeNS`, `DynamicConfiguratorNS`, `DynamicElementNS`

Enclosing class:
  `XMLFragment`

public class XMLFragment.Child extends Object implements DynamicConfiguratorNS
An object to handle (recursively) nested elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addText(String s)`
  Add nested text.
  `Object`
  `createDynamicElement(String uri, String name, String qName)`
  Creates a nested element.
  `void`
  `setDynamicAttribute(String uri, String name, String qName, String value)`
  Sets the attribute

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addText

    public void addText(String s)
    Add nested text.
    Parameters:
      `s` - the text to add

  - ### setDynamicAttribute

    public void setDynamicAttribute(String uri, String name, String qName, String value)
    Sets the attribute
    Specified by:
      `setDynamicAttribute` in interface `DynamicAttributeNS`
    Parameters:
      `uri` - the uri of the attribute
      `name` - the localname of the attribute
      `qName` - the qualified name of the attribute
      `value` - the value of the attribute

  - ### createDynamicElement

    public Object createDynamicElement(String uri, String name, String qName)
    Creates a nested element.
    Specified by:
      `createDynamicElement` in interface `DynamicElementNS`
    Parameters:
      `uri` - the uri of the nested element
      `name` - the localname of the nested element
      `qName` - the qualified name of the nested element
    Returns:
      an object that the element is applied to